package com.zjrs.zwnw.psam.po;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
/**
* @author liangxiudong
* @since 2021-04-07
*/
@TableName("RS_PSAM_XFMXB")
@ApiModel(value="RsPsamXfmxbPO对象", description="消费明细表")
public class RsPsamXfmxbPO {

    @ApiModelProperty(value = "消费明细表流水号")
    @TableId(value = "RS_PSAM_XFMXB_LSH", type = IdType.ASSIGN_UUID)
    private String rsPsamXfmxbLsh;

    @ApiModelProperty(value = "卡编号")
    @TableField("PSAMBH")
    private String psambh;

    @ApiModelProperty(value = "交易时间")
    @TableField("JYSJ")
    private String jysj;

    @ApiModelProperty(value = "交易商户")
    @TableField("JYSH")
    private String jysh;

    @ApiModelProperty(value = "交易金额")
    @TableField("JYJE")
    private String jyje;

    @ApiModelProperty(value = "交易卡号")
    @TableField("JYKH")
    private String jykh;

    @ApiModelProperty(value = "交易经度")
    @TableField("JYLNG")
    private String jylng;

    @ApiModelProperty(value = "交易纬度")
    @TableField("JYLAT")
    private String jylat;

    @ApiModelProperty(value = "安装经度")
    @TableField("AZLNG")
    private String azlng;

    @ApiModelProperty(value = "安装纬度")
    @TableField("AZLAT")
    private String azlat;

    @ApiModelProperty(value = "创建时间")
    @TableField("CJSJ")
    private String cjsj;

    public String getRsPsamXfmxbLsh() {
        return rsPsamXfmxbLsh;
    }

    public void setRsPsamXfmxbLsh(String rsPsamXfmxbLsh) {
        this.rsPsamXfmxbLsh = rsPsamXfmxbLsh;
    }

    public String getPsambh() {
        return psambh;
    }

    public void setPsambh(String psambh) {
        this.psambh = psambh;
    }

    public String getJysj() {
        return jysj;
    }

    public void setJysj(String jysj) {
        this.jysj = jysj;
    }

    public String getJysh() {
        return jysh;
    }

    public void setJysh(String jysh) {
        this.jysh = jysh;
    }

    public String getJyje() {
        return jyje;
    }

    public void setJyje(String jyje) {
        this.jyje = jyje;
    }

    public String getJykh() {
        return jykh;
    }

    public void setJykh(String jykh) {
        this.jykh = jykh;
    }

    public String getJylng() {
        return jylng;
    }

    public void setJylng(String jylng) {
        this.jylng = jylng;
    }

    public String getJylat() {
        return jylat;
    }

    public void setJylat(String jylat) {
        this.jylat = jylat;
    }

    public String getAzlng() {
        return azlng;
    }

    public void setAzlng(String azlng) {
        this.azlng = azlng;
    }

    public String getAzlat() {
        return azlat;
    }

    public void setAzlat(String azlat) {
        this.azlat = azlat;
    }

    public String getCjsj() {
        return cjsj;
    }

    public void setCjsj(String cjsj) {
        this.cjsj = cjsj;
    }
}
